<?php



$tdataRegioes = array();
$tdataRegioes[".searchableFields"] = array();
$tdataRegioes[".ShortName"] = "Regioes";
$tdataRegioes[".OwnerID"] = "";
$tdataRegioes[".OriginalTable"] = "Regioes";


$tdataRegioes[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"search\":[\"search\"]}" );
$tdataRegioes[".originalPagesByType"] = $tdataRegioes[".pagesByType"];
$tdataRegioes[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"search\":[\"search\"]}" ) );
$tdataRegioes[".originalPages"] = $tdataRegioes[".pages"];
$tdataRegioes[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"search\":\"search\"}" );
$tdataRegioes[".originalDefaultPages"] = $tdataRegioes[".defaultPages"];

//	field labels
$fieldLabelsRegioes = array();
$fieldToolTipsRegioes = array();
$pageTitlesRegioes = array();
$placeHoldersRegioes = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsRegioes["Portuguese(Standard)"] = array();
	$fieldToolTipsRegioes["Portuguese(Standard)"] = array();
	$placeHoldersRegioes["Portuguese(Standard)"] = array();
	$pageTitlesRegioes["Portuguese(Standard)"] = array();
	$fieldLabelsRegioes["Portuguese(Standard)"]["CodRegiao"] = "Cod Regiao";
	$fieldToolTipsRegioes["Portuguese(Standard)"]["CodRegiao"] = "";
	$placeHoldersRegioes["Portuguese(Standard)"]["CodRegiao"] = "";
	$fieldLabelsRegioes["Portuguese(Standard)"]["Nome"] = "Nome";
	$fieldToolTipsRegioes["Portuguese(Standard)"]["Nome"] = "";
	$placeHoldersRegioes["Portuguese(Standard)"]["Nome"] = "";
	if (count($fieldToolTipsRegioes["Portuguese(Standard)"]))
		$tdataRegioes[".isUseToolTips"] = true;
}


	$tdataRegioes[".NCSearch"] = true;


	$tdataRegioes[".scrollGridBody"] = true;

$tdataRegioes[".shortTableName"] = "Regioes";
$tdataRegioes[".nSecOptions"] = 0;

$tdataRegioes[".mainTableOwnerID"] = "";
$tdataRegioes[".entityType"] = 0;

$tdataRegioes[".strOriginalTableName"] = "Regioes";

	



$tdataRegioes[".showAddInPopup"] = true;

$tdataRegioes[".showEditInPopup"] = false;

$tdataRegioes[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
			;
$popupPagesLayoutNames["add"] = "add";
$tdataRegioes[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataRegioes[".listAjax"] = false;
//	temporary
$tdataRegioes[".listAjax"] = false;

	$tdataRegioes[".audit"] = true;

	$tdataRegioes[".locking"] = true;


$pages = $tdataRegioes[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataRegioes[".edit"] = true;
	$tdataRegioes[".afterEditAction"] = 1;
	$tdataRegioes[".closePopupAfterEdit"] = 1;
	$tdataRegioes[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataRegioes[".add"] = true;
$tdataRegioes[".afterAddAction"] = 1;
$tdataRegioes[".closePopupAfterAdd"] = 1;
$tdataRegioes[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataRegioes[".list"] = true;
}



$tdataRegioes[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataRegioes[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataRegioes[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataRegioes[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataRegioes[".printFriendly"] = true;
}



$tdataRegioes[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataRegioes[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataRegioes[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataRegioes[".isUseAjaxSuggest"] = true;

$tdataRegioes[".rowHighlite"] = true;



			

$tdataRegioes[".ajaxCodeSnippetAdded"] = false;

$tdataRegioes[".buttonsAdded"] = false;

$tdataRegioes[".addPageEvents"] = false;

// use timepicker for search panel
$tdataRegioes[".isUseTimeForSearch"] = false;




$tdataRegioes[".allSearchFields"] = array();
$tdataRegioes[".filterFields"] = array();
$tdataRegioes[".requiredSearchFields"] = array();

$tdataRegioes[".googleLikeFields"] = array();
$tdataRegioes[".googleLikeFields"][] = "CodRegiao";
$tdataRegioes[".googleLikeFields"][] = "Nome";



$tdataRegioes[".tableType"] = "list";

$tdataRegioes[".printerPageOrientation"] = 0;
$tdataRegioes[".nPrinterPageScale"] = 100;

$tdataRegioes[".nPrinterSplitRecords"] = 40;

$tdataRegioes[".geocodingEnabled"] = false;










$tdataRegioes[".pageSize"] = 999;

$tdataRegioes[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataRegioes[".strOrderBy"] = $tstrOrderBy;

$tdataRegioes[".orderindexes"] = array();

$tdataRegioes[".sqlHead"] = "SELECT CodRegiao,  	Nome";
$tdataRegioes[".sqlFrom"] = "FROM Regioes";
$tdataRegioes[".sqlWhereExpr"] = "";
$tdataRegioes[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataRegioes[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataRegioes[".arrGroupsPerPage"] = $arrGPP;

$tdataRegioes[".highlightSearchResults"] = true;

$tableKeysRegioes = array();
$tableKeysRegioes[] = "CodRegiao";
$tdataRegioes[".Keys"] = $tableKeysRegioes;


$tdataRegioes[".hideMobileList"] = array();




//	CodRegiao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CodRegiao";
	$fdata["GoodName"] = "CodRegiao";
	$fdata["ownerTable"] = "Regioes";
	$fdata["Label"] = GetFieldLabel("Regioes","CodRegiao");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CodRegiao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodRegiao";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataRegioes["CodRegiao"] = $fdata;
		$tdataRegioes[".searchableFields"][] = "CodRegiao";
//	Nome
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Nome";
	$fdata["GoodName"] = "Nome";
	$fdata["ownerTable"] = "Regioes";
	$fdata["Label"] = GetFieldLabel("Regioes","Nome");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Nome";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Nome";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataRegioes["Nome"] = $fdata;
		$tdataRegioes[".searchableFields"][] = "Nome";


$tables_data["Regioes"]=&$tdataRegioes;
$field_labels["Regioes"] = &$fieldLabelsRegioes;
$fieldToolTips["Regioes"] = &$fieldToolTipsRegioes;
$placeHolders["Regioes"] = &$placeHoldersRegioes;
$page_titles["Regioes"] = &$pageTitlesRegioes;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Regioes"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["Regioes"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_Regioes()
{
$proto1=array();
$proto1["m_strHead"] = "SELECT";
$proto1["m_strFieldList"] = "CodRegiao,  	Nome";
$proto1["m_strFrom"] = "FROM Regioes";
$proto1["m_strWhere"] = "";
$proto1["m_strOrderBy"] = "";
	
		;
			$proto1["cipherer"] = null;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = false;
$proto3["m_inBrackets"] = false;
$proto3["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto3);

$proto1["m_where"] = $obj;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto1["m_having"] = $obj;
$proto1["m_fieldlist"] = array();
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "CodRegiao",
	"m_strTable" => "Regioes",
	"m_srcTableName" => "Regioes"
));

$proto7["m_sql"] = "CodRegiao";
$proto7["m_srcTableName"] = "Regioes";
$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto1["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "Nome",
	"m_strTable" => "Regioes",
	"m_srcTableName" => "Regioes"
));

$proto9["m_sql"] = "Nome";
$proto9["m_srcTableName"] = "Regioes";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto1["m_fieldlist"][]=$obj;
$proto1["m_fromlist"] = array();
												$proto11=array();
$proto11["m_link"] = "SQLL_MAIN";
			$proto12=array();
$proto12["m_strName"] = "Regioes";
$proto12["m_srcTableName"] = "Regioes";
$proto12["m_columns"] = array();
$proto12["m_columns"][] = "CodRegiao";
$proto12["m_columns"][] = "Nome";
$obj = new SQLTable($proto12);

$proto11["m_table"] = $obj;
$proto11["m_sql"] = "Regioes";
$proto11["m_alias"] = "";
$proto11["m_srcTableName"] = "Regioes";
$proto13=array();
$proto13["m_sql"] = "";
$proto13["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto13["m_column"]=$obj;
$proto13["m_contained"] = array();
$proto13["m_strCase"] = "";
$proto13["m_havingmode"] = false;
$proto13["m_inBrackets"] = false;
$proto13["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto13);

$proto11["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto11);

$proto1["m_fromlist"][]=$obj;
$proto1["m_groupby"] = array();
$proto1["m_orderby"] = array();
$proto1["m_srcTableName"]="Regioes";		
$obj = new SQLQuery($proto1);

	return $obj;
}
$queryData_Regioes = createSqlQuery_Regioes();


	
		;

		

$tdataRegioes[".sqlquery"] = $queryData_Regioes;

$tableEvents["Regioes"] = new eventsBase;
$tdataRegioes[".hasEvents"] = false;

?>